### Function

# RB combo_box_hyphen_separator_func

#### Declaration [src]

    gboolean
    rb_combo_box_hyphen_separator_func (
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

A row separator function to use for GtkComboBox widgets. It expects the model to contain a string in its first column, and interprets a string containing a single hyphen character as a separator.

#### Parameters

`model`

  Type: `GtkTreeModel`

  A `GtkTreeModel`.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Nothing.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the row pointed to by `iter` is a separator.